-- 帮派联赛战斗进度信息面板
Lua_FactionLeagueActFightInfoPanel = class("Lua_FactionLeagueActFightInfoPanel", Lua_DisplayObject);
function Lua_FactionLeagueActFightInfoPanel:ctor(p)
	self:superCall("ctor", p, "FactionLeagueActFightInfoPanel_skin");
end

function Lua_FactionLeagueActFightInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.winNeedScore = DataCenter.factionLeagueActUtil.actWinNeedScore;
	self.blueBarIcon.type = UIBasicSprite.Type.Filled;
	self.blueBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.blueBarIcon.fillAmount = 0;

	self.redBarIcon.type = UIBasicSprite.Type.Filled;
	self.redBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.redBarIcon.fillAmount = 0;

	self.blueBar:setEnable(false);
	self.redBar:setEnable(false);

	self:updateFightInfo();
end

-- 更新信息
function Lua_FactionLeagueActFightInfoPanel:updateFightInfo()
	local num = 0;
	local redObj = DataCenter.factionLeagueActData.second_league;
	if redObj ~= nil then
		self.rightCampName.text = redObj.league_name;
		num = tonumber(redObj.score);
		if num > self.winNeedScore then
			num = self.winNeedScore;
		end
		-- self.redBar:setMaxValue(self.winNeedScore);
		-- self.redBar:setValue(num);
		-- self.redBar:setText(num .. "/" .. self.winNeedScore);
		self.redBarIcon.fillAmount = num / self.winNeedScore;
		self.redNumLab.text = num.."/"..self.winNeedScore;
	else
		self.leftCampName.text = "";
		-- self.redBar:setMaxValue(self.winNeedScore);
		-- self.redBar:setValue(0);
		-- self.redBar:setText(0 .. "/" .. self.winNeedScore);
		self.redBarIcon.fillAmount = 0 / self.winNeedScore;
		self.redNumLab.text = 0 .."/".. self.winNeedScore;
	end

	local blueObj = DataCenter.factionLeagueActData.first_league;
	if blueObj ~= nil then
		self.leftCampName.text = blueObj.league_name;
		num = tonumber(blueObj.score);
		if num > self.winNeedScore then
			num = self.winNeedScore;
		end
		-- self.blueBar:setMaxValue(self.winNeedScore);
		-- self.blueBar:setValue(num);
		-- self.blueBar:setText(num .. "/" .. self.winNeedScore);
		self.blueBarIcon.fillAmount = num / self.winNeedScore;
		self.blueNumLab.text = num .."/".. self.winNeedScore;
	else
		self.rightCampName.text = "";
		-- self.blueBar:setMaxValue(self.winNeedScore);
		-- self.blueBar:setValue(0);
		-- self.blueBar:setText(0 .. "/" .. self.winNeedScore);
		self.blueBarIcon.fillAmount = 0 / self.winNeedScore;
		self.blueNumLab.text = 0 .."/".. self.winNeedScore;
	end
end