-- 帮派联赛战斗结束
checkRequire("Lua_FightingResultBaseWindow");
checkRequire("Lua_FightResultRewardsItem");
Lua_FactionLeagueActFightResultWindow = class("Lua_FactionLeagueActFightResultWindow", Lua_FightingResultBaseWindow);
function Lua_FactionLeagueActFightResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_FactionLeagueActFightResultWindow";

	self.winTitleAtlas = "ui_zhujiemian_z_lssl"; -- 联赛胜利
	self.tieTitleAtlas = "ui_zhujiemian_z_lspj"; -- 联赛平局
	self.failTitleAtlas = "ui_zhujiemian_z_lssp"; -- 联赛失败
end

function Lua_FactionLeagueActFightResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tipsBg:setLocation(0, 154, 0);

	self.rankTxt = UICreate.createLabel(self.content, "", -28, 168, 300, 30, 30);
	self.rankTxt.pivot = UIWidget.Pivot.Right;
	self.rankTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.rankTxt:setDepth(4);

	self.jifenTxt = UICreate.createLabel(self.content, "", 21, 168, 300, 30, 30);
	self.jifenTxt.pivot = UIWidget.Pivot.Left;
	self.jifenTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.jifenTxt:setDepth(4);

	self.rankReward = Lua_FightResultRewardsItem.new(self.content, LanUtil.getValue(123964), 4, -56);
	self.rankReward:setLocation(0, -23, 0);
end

function Lua_FactionLeagueActFightResultWindow:showWin(param)
	self:superCall("showWin", param);

	if param ~= nil then
		-- msg.state; -- 1表示胜，2表示败
        -- msg.camp_reward; -- 帮派奖励
        -- msg.rank_reward; -- 排名奖励
        -- msg.rank; -- 排名
        -- msg.score; -- 积分
        local str = LanUtil.getValue(123963);
        if param.state == 1 then
        	self:setShowInfo(1, DataCenter.factionLeagueActUtil.actResultCloseTime);
        elseif param.state == 2 then
        	str = LanUtil.getValue(123962);
        	self:setShowInfo(-1, DataCenter.factionLeagueActUtil.actResultCloseTime);
        else
			self:setShowInfo(0, DataCenter.factionLeagueActUtil.actResultCloseTime);
		end
		self.backBtn:setLocation(0, -160, 0);

		self.rankTxt.text = LanUtil.formateStr(LanUtil.getValue(123965), tostring(param.rank));
		self.jifenTxt.text = LanUtil.formateStr(LanUtil.getValue(123966), tostring(param.score));

		-- 对战奖励
		if self.actReward == nil then
			self.actReward = Lua_FightResultRewardsItem.new(self.content, str, 4, -56);
			self.actReward:setLocation(0, 101, 0);
		end
		self.actReward:setShowRewardArr(Lua_RewardsUtil.getRewardList(param.camp_reward).rewardsVoArr);
		self.rankReward:setShowRewardArr(Lua_RewardsUtil.getRewardList(param.rank_reward).rewardsVoArr);
	end
end

function Lua_FactionLeagueActFightResultWindow:dispose()
	if self.rankTxt ~= nil then
		self.rankTxt:dispose();
		self.rankTxt = nil;
	end
	if self.jifenTxt ~= nil then
		self.jifenTxt:dispose();
		self.jifenTxt = nil;
	end
	if self.actReward ~= nil then
		self.actReward:dispose();
		self.actReward = nil;
	end
	if self.rankReward ~= nil then
		self.rankReward:dispose();
		self.rankReward = nil;
	end
	Lua_ProxyManager.getProxy("Lua_FactionLeagueActProxy"):sExitScene();
	
    self:superCall("dispose");
end